# Generated from mobility-1.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mobility

Name: rubygem-%{gem_name}
Version: 1.1.3
Release: 1%{?dist}
Summary: Pluggable Ruby translation framework
License: MIT
URL: https://github.com/shioyama/mobility
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(database_cleaner) >= 1.5
# BuildRequires: rubygem(database_cleaner) < 2
# BuildRequires: rubygem(database_cleaner) >= 1.5.3
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard) >= 0.9.0
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
Stores and retrieves localized data through attributes on a Ruby class, with
flexible support for different storage strategies.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/Guardfile
%{gem_instdir}/ISSUE_TEMPLATE.md
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 1.1.3-1
- Initial package
